      SUBROUTINE SETLOCKWHAT(whatrec,iw,actionrec,ic)

C     SETLOCKWHAT SETS WHAT IS BEING DONE TO PROBE IN
C     WHATREC FOR WRITING TO LOCK INFORMATION

      character*(*) whatrec
      character*(*) actionrec

      call clearstring(whatrec,iw)
      call findlastchar(nsp,actionrec,ic)
      whatrec(1:nsp)=actionrec(1:nsp)

      return
      end
